Commit 62eef7c0 authored by Apollon Oikonomopoulos's avatar Apollon Oikonomopoulos Committed by Thomas Thrainer

Document the python-fdsend dependency

KVM NIC hotplugging requires python-fdsend to be installed, but this
is only reported in the hotplug design document. We add mentions in
INSTALL and NEWS.
Signed-off-by: default avatarApollon Oikonomopoulos <apoikos@gmail.com>
Signed-off-by: default avatarThomas Thrainer <thomasth@google.com>
Reviewed-by: default avatarThomas Thrainer <thomasth@google.com>
parent 3b8ca90f
......@@ -43,6 +43,8 @@ Before installing, please verify that you have the following programs:
``ganeti-listrunner``
- `affinity Python module <http://pypi.python.org/pypi/affinity/0.1.0>`_,
optional python package for supporting CPU pinning under KVM
- `fdsend Python module <https://gitorious.org/python-fdsend>`_,
optional Python package for supporting NIC hotplugging under KVM
- `qemu-img <http://qemu.org/>`_, if you want to use ``ovfconverter``
- `fping <http://fping.sourceforge.net/>`_
- `Python IP address manipulation library
......
......@@ -77,6 +77,7 @@ New features
- one can not (yet) hotplug a disk using userspace access mode for RBD
- in case of a downgrade instances should suffer a reboot in order to
be migratable (due to core change of runtime files)
- ``python-fdsend`` is required for NIC hotplugging.
Misc changes
~~~~~~~~~~~~
......@@ -101,6 +102,8 @@ Python
- The version requirements for ``python-mock`` have increased to at least
version 1.0.1. It is still used for testing only.
- ``python-fdsend`` (https://gitorious.org/python-fdsend) is optional
but required for KVM NIC hotplugging to work.
Since 2.10.0 rc3
~~~~~~~~~~~~~~~~
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment